Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 2949563002: WebrtcAudioPrivateSetAudioExperimentsFunction dummy implementation (Closed)

Created:
5 months, 3 weeks ago by hlundin-chromium
Modified:
5 months, 3 weeks ago
Reviewers:
Henrik Grunell, Devlin
CC:
chromium-reviews, chromium-apps-reviews_chromium.org, extensions-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

WebrtcAudioPrivateSetAudioExperimentsFunction dummy implementation This change introduces a dummy implementation of WebrtcAudioPrivateSetAudioExperimentsFunction::RunAsync() which is invoked when Chrome is build without support for WebRTC (enable_webrtc=false). BUG=730019, 708475 Review-Url: https://codereview.chromium.org/2949563002 Cr-Commit-Position: refs/heads/master@{#481532} Committed: https://chromium.googlesource.com/chromium/src/+/66e6a51773c74189058e55c8b7e63353b4f469f8

Patch Set 1 #

Total comments: 3

Patch Set 2 : Set an error #

Messages

Total messages: 16 (6 generated)
hlundin-chromium
Henrik, Devlin, PTAL at this change. Also, the chrome/browser/extensions/api/webrtc_audio_private/ folder does not have an OWNERS ...
5 months, 3 weeks ago (2017-06-19 12:38:32 UTC) #3
Henrik Grunell
On 2017/06/19 12:38:32, hlundin-chromium wrote: > Henrik, Devlin, > > PTAL at this change. > ...
5 months, 3 weeks ago (2017-06-19 20:21:08 UTC) #4
hlundin-chromium
On 2017/06/19 20:21:08, Henrik Grunell wrote: > On 2017/06/19 12:38:32, hlundin-chromium wrote: > > Henrik, ...
5 months, 3 weeks ago (2017-06-20 06:52:32 UTC) #5
Henrik Grunell
On 2017/06/20 06:52:32, hlundin-chromium wrote: > On 2017/06/19 20:21:08, Henrik Grunell wrote: > > On ...
5 months, 3 weeks ago (2017-06-20 06:59:17 UTC) #6
Devlin
https://codereview.chromium.org/2949563002/diff/1/chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc File chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc (right): https://codereview.chromium.org/2949563002/diff/1/chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc#newcode325 chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc:325: SendResponse(false); Should we set an error?
5 months, 3 weeks ago (2017-06-20 17:24:34 UTC) #7
Henrik Grunell
https://codereview.chromium.org/2949563002/diff/1/chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc File chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc (right): https://codereview.chromium.org/2949563002/diff/1/chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc#newcode325 chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc:325: SendResponse(false); On 2017/06/20 17:24:34, Devlin wrote: > Should we ...
5 months, 3 weeks ago (2017-06-21 14:02:50 UTC) #8
hlundin-chromium
PTAL again. Thanks! https://codereview.chromium.org/2949563002/diff/1/chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc File chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc (right): https://codereview.chromium.org/2949563002/diff/1/chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc#newcode325 chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc:325: SendResponse(false); On 2017/06/21 14:02:50, Henrik Grunell ...
5 months, 3 weeks ago (2017-06-22 09:44:31 UTC) #9
Devlin
lgtm
5 months, 3 weeks ago (2017-06-22 13:12:28 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2949563002/20001
5 months, 3 weeks ago (2017-06-22 13:55:42 UTC) #13
commit-bot: I haz the power
5 months, 3 weeks ago (2017-06-22 15:07:06 UTC) #16
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/66e6a51773c74189058e55c8b7e6...

Powered by Google App Engine
This is Rietveld 0eb02b776